{% extends "base.html" %}
{% load static %}
{% block css %}

<link href="{% static 'css/plugins/chosen/bootstrap-chosen.css' %}" rel="stylesheet">
<link href="{% static 'css/plugins/jasny/jasny-bootstrap.min.css' %}" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="{% static 'css/select2.min.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/select2-bootstrap.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/pmd-select2.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/textfield.css' %}">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.4.0/dropzone.css" />

{% endblock css %}

{% block title %}

<h1>Solicitar Práctica</h1>

{% endblock title %}

{% block content %}

<div class="row" id="paso1">
    <div class="col-md-6 animated bounceInRight">
        <div class="card">
            <header class="card-heading card-blue">
                <h2 class="card-title">Solicitar Práctica</h2>
            </header>
            <div class="card-body">
            <div class="row text-center">
                <i class="fa fa-plus" style="font-size:150px" ></i>
            </div>
            <div class="row text-center">
                {% if solicitud == 0 %}
                <h3>Ya tienes una solicitud de práctica en curso</h3>
                {% else %}
                <button class="btn paso1 solicitar btn-lg btn-primary">Solicitar una Práctica Profesional</button>
                {% endif %}
            </div>
            </div>
        </div>
    </div>
    <div class="col-md-6 animated bounceInRight">
        <div class="card">
            <header class="card-heading card-blue">
                <h2 class="card-title">Convalidar Práctica</h2>
            </header>
            <div class="card-body">
               <div class="row text-center">
                   <i class="fa fa-briefcase" style="font-size:150px" aria-hidden="true"></i>
               </div>
               <div class="row text-center">
                  {% if solicitud == 0 %}
                  <h3>Ya tienes una solicitud de practica en curso</h3>
                  {% else %}
                   <button class="btn paso1 convalidar btn-lg btn-primary">Convalidar Practica con mi Trabajo Actual</button>
                  {% endif %}
               </div>
            </div>
        </div>
    </div>
</div>
<div class="row animated bounceInRight" style="display: none;" id="solicitar">
    <div class="col-md-12">
        <div class="card">
            <header class="card-heading card-blue">
                <h2 class="card-title">Solicitud de Practica Profesional</h2>
            </header>
            <div class="card-body">
                <div class="row">
                   <form action="{% url 'crear_solicitud' %}" method="post" enctype="multipart/form-data" novalidate>
                   {% csrf_token %}
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="documento_solicitar" class="control-label">Adjuntar Documento:</label>
                            <div class="fileinput fileinput-new input-group" data-provides="fileinput">
                                <div class="form-control" data-trigger="fileinput">
                                    <i class="glyphicon glyphicon-file fileinput-exists"></i>
                                <span class="fileinput-filename"></span>
                                </div>
                                <span class="input-group-addon btn btn-success btn-file">
                                    <span class="fileinput-new">Seleccionar Archivo</span>
                                    <span class="fileinput-exists">Cambiar Archivo</span>
                                    <input id="file_solicitar" name="file_solicitar" type="file" name="..."/>
                                </span>
                                <a href="#" class="input-group-addon btn btn-default fileinput-exists" data-dismiss="fileinput">Eliminar</a>
                            </div> 
                        </div>
                        <div class="form-group">
                            <label for="observacion_solicitar" class="control-label">Observación (opcional): </label>
                            <textarea class="form-control" name="observacion_solicitar" id="observacion_solicitar" rows="5"></textarea>
                        </div>
                    </div>
                    <div class="col-md-6">
                       <div class="row">
                           <div class="form-group">
                               <label for="empresa_solicitar" class="control-label">Escoja la Empresa: </label>
                               <select style="width: 100%;"name="empresa_solicitar" id="empresa_solicitar" class="form-control mipropioselect"  tabindex="2">
                                   {% for empresa in empresas %}
                                   <option value="{{empresa.pk}}">{{empresa.nombre}} - {{empresa.rut}}</option>
                                   {% endfor %}
                                   <option selected value="0">La Empresa no aparece en la lista</option>
                               </select> 
                           </div>
                       </div>
                       <div style="display:none;" class="row" id="encargados">
                           <div class="form-group">
                               <label for="encargado_empresa_solicitar" class="control-label">Escoja al Encargado: </label>
                               <select name="encargado_empresa_solicitar" id="encargado_empresa_solicitar" class="mipropioselect"  tabindex="2">
                                   <option selected value="0">El encargado no aparece en la lista</option>
                                   <option value="1">Marcelo Cavieres</option>
                               </select> 
                           </div>
                       </div>
                       <div id="agregar_empresa_solicitar" class="row">
                           <div class="row">
                               <div class="col-md-12">
                                   <div class="form-group">
                                       <label for="nombre_nueva_empresa" class="control-label">Nombre de la Empresa: </label>
                                       <input required class="form-control" id="nombre_nueva_empresa" name="nombre_nueva_empresa" type="text">
                                   </div>
                               </div>
                           </div>
                           <div class="row">
                                <div class="col-md-12">
                                   <div class="form-group">
                                       <label for="rut_nueva_empresa" class="control-label">Rut de la Empresa: </label>
                                       <input required class="form-control" id="rut_nueva_empresa" name="rut_nueva_empresa" type="text">
                                   </div>
                               </div>
                           </div>
                       </div>
                       <div class="row">
                           <div class="row encargado">
                                <div class="col-md-12">
                                   <div class="form-group">
                                       <label for="encargado_nueva_empresa" class="control-label">Nombre del Encargado: </label>
                                       <input required  class="form-control" id="nombre_encargado_nueva_empresa" name="nombre_encargado_nueva_empresa" type="text">
                                   </div>
                               </div>
                           </div>
                           <div class="row encargado">
                                <div class="col-md-12">
                                   <div class="form-group">
                                       <label for="rut_nueva_empresa" class="control-label">Rut del Encargado: </label>
                                       <input required  class="form-control" id="rut_encargado_nueva_empresa" name="rut_encargado_nueva_empresa" type="text">
                                   </div>
                               </div>
                           </div>
                           <div class="row encargado">
                                <div class="col-md-12">
                                   <div class="form-group">
                                       <label for="rut_nueva_empresa" class="control-label">Mail del Encargado: </label>
                                       <input required  class="form-control" id="mail_encargado_nueva_empresa" name="mail_encargado_nueva_empresa" type="text">
                                   </div>
                               </div>
                           </div>
                       </div>
                    </div>
                </div>
                <div class="row">
                    <button  type="submit" id="enviar_solicitud" class="btn btn-block btn-primary">Enviar Solicitud de Practica</button>
                </div>
                </form>
            </div>
        </div>
    </div>
</div>
<div class="row animated bounceInRight" style="display: none;" id="convalidar">
	<div class="col-md-12">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Solicitud para Convalidar Práctica</h2>
			</header>
			<div class="card-body">
				<div class="row">
					<div class="col-md-12">
						<form method="post" action="{% url 'solicitud_convalidar' %}" class="dropzone" id="dropzoneForm" enctype="multipart/form-data">
							{% csrf_token %}
							<div class="fallback">
								<input name="file" type="file" multiple />
							</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<label for="" class="control-label">Empresa: </label>
						<select class="form-control" name="empresa" id="empresa">
						   {% for empresa in empresas %}
						   <option value="{{empresa.pk}}">{{empresa.nombre}} - {{empresa.rut}}</option>
						   {% endfor %}
						   <option selected value="0">La Empresa no aparece en la lista</option>
						</select>
						</form>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<button type="button" id="upload" class="btn btn-block btn-primary"><i class="fa fa-save"></i> Enviar Solicitud</button>
					</div>
				</div>
			</div>
		</div>
	</div>	
</div>
{% endblock content %}


{% block javascript %}
<script src="{% static 'js/plugins/jasny/jasny-bootstrap.min.js' %}"></script>
<script src="{% static 'js/plugins/chosen/chosen.jquery.js' %}"></script>
<script src="{% static 'js/plugins/bootstrap-tagsinput/bootstrap-tagsinput.js' %}"></script>
<script src="{% static 'js/global.js' %}"></script>
<script src="{% static 'js/pmd-select2.js' %}"></script>
<script src="{% static 'js/plugins/select2/select2.full.min.js' %}"></script>
<script src="{% static 'js/textfield.js' %}"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.4.0/dropzone.js"></script>


<script>
	


$(document).ready(function(){
	
	Dropzone.autoDiscover = false;
	var myDropzone = new Dropzone(".dropzone", {
		addRemoveLinks: true,
		thumbnailWidth: "80",
		thumbnailHeight: "80",
		params: {
		},
		dictDefaultMessage: "<strong>Arrastre aqui sus archivos</strong>",
		dictCancelUpload: "Cancel",
		parallelUploads: 100,
		autoProcessQueue: false,
		init: function () {
			var submitbtn = $("#upload");
			dropzone = this;
			console.log(dropzone.getQueuedFiles());
			submitbtn.on("click", function () {
				console.log(dropzone.getQueuedFiles());
				var response = dropzone.processQueue();
				var data = {
					csrfmiddlewaretoken: '{{ csrf_token }}',
					empresa_pk: $("#empresa").val()
				}
			dropzone.on("queuecomplete", function (file) {
					location.reload();
				});
			});
		}
	});
    
	$(".mipropioselect").select2({
		theme: "bootstrap"
	});

    $("li").removeClass("active");
    $("#solicitar_practica").addClass("active");
    
    $(".paso1").on("click",function(){
        if($(this).hasClass("solicitar")){
           $("#solicitar").show();
           };
        $("#paso1").hide();
    });

	$(".paso1").on("click",function(){
        if($(this).hasClass("convalidar")){
           $("#convalidar").show();
           };
        $("#paso1").hide();
    });
    
    
    $("#empresa_solicitar").on("change",function(){
        console.log($(this).val());
        data = {
			pk: $("#empresa_solicitar").val(),
			csrfmiddlewaretoken: '{{ csrf_token }}'
		}

		$.ajax({
			type: "post",
			url: "{% url 'get_encargados' %}",
			data: data,
			success: function (response) {
				if(response.respuesta == 1){
                    $("#agregar_empresa_solicitar").show();
                    $(".encargado").show();
                    $("#encargados").hide();
                    $("#rut_nueva_empresa").prop('required',true);
                    $("#nombre_nueva_empresa").prop('required',true);
                    }
                else{
                    $("#agregar_empresa_solicitar").hide();
					console.log(response.html)
					$("#encargado_empresa_solicitar").html(response.html);
                    if($("#encargado_empresa_solicitar").val() == 0){
                        $(".encargado").show();
                        $("#encargados").show();
                    }
                    $("#rut_nueva_empresa").prop('required',false);
                    $("#nombre_nueva_empresa").prop('required',false);
                    }
				  $(".mipropioselect").select2({
						theme: "bootstrap"
					});
			},
			error: function () {
				//SWEETALERT
			},
		});
        
    });
    
    $("#encargado_empresa_solicitar").on("change",function(){
       
        if($(this).val() == 0){
    
            $(".encargado").show();
        }
        else{

            $(".encargado").hide();
    
        }
        
    });
    
	$(".dz-message").append("<span>Arrastre sus Archivos Aqui</span>");
	console.log($(".dz-message").text());

    
})

</script>



{% endblock javascript %}